petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMRestoreNamedLocalVector

restore access to a named, persistent local vector

### Synopsis

    #include "petscdm.h"
    PetscErrorCode DMRestoreNamedLocalVector(DM dm,const char *name,Vec *X)

Not Collective

### Input Arguments

| dm | - DM on which the vector was gotten
| name | - name under which the vector was gotten
| X | - Vec to restore

### Output Arguments

### See Also

DMRestoreNamedGlobalVector(),DMGetNamedLocalVector()

Level:developer
Location:src/dm/interface/dmget.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html